MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002481NetSurf[All Projects] Generalpublic2016-11-13 17:252016-12-31 11:48
ReporterHarriet Bazley 
Assigned To 
SeveritycrashReproducibilityalways 
StatusresolvedResolutionopen 
PlatformARMOSRISC OSOS Version5.19
Product Version3.6 
Target VersionFixed in Version3.7 
Summary0002481: Crash on SSL error
DescriptionThe browser reports an SSL certificate error, then crashes after "Accept" is pressed.
Log file reports: "desktop/tree.c", line 184: treeview_test_fini: Assertion failed: ssl_current_session != NULL && "Can't use sslcert window after sslcert_viewer_fini()"
Steps To ReproduceVisit e.g. https://www.messynessychic.com/2016/11/08/i-ate-sushi-in-the-attic-of-a-16th-century-paris-church/ [^]
Additional InformationIs this a duplicate of bug 0002471? Only one window is involved.
TagsNo tags attached.
Fixed in CI build #3939
Reported in CI build #3749
URL of problem pagehttps://www.messynessychic.com/2016/11/08/i-ate-sushi-in-the-attic-of-a-16th-century-paris-church/ [^]
Attached Fileszip file icon Log.zip [^] (8,601 bytes) 2016-11-13 17:25

- Relationships
duplicate of 0002471resolvedVincent Sanders RISC OS SSL certifcate problem causes browser crash 

-  Notes
User avatar (0001464)
Vincent Sanders (administrator)
2016-12-31 11:48

risc os corewindow support added, fixes this crash see linked bug for details

- Issue History
Date Modified Username Field Change
2016-11-13 17:25 Harriet Bazley New Issue
2016-11-13 17:25 Harriet Bazley File Added: Log.zip
2016-11-18 23:33 Vincent Sanders Status new => acknowledged
2016-11-18 23:33 Vincent Sanders Product Version => 3.6
2016-11-18 23:33 Vincent Sanders Description Updated View Revisions
2016-11-18 23:33 Vincent Sanders Relationship added duplicate of 0002471
2016-12-31 11:48 Vincent Sanders Fixed in CI build # => 3939
2016-12-31 11:48 Vincent Sanders Note Added: 0001464
2016-12-31 11:48 Vincent Sanders Status acknowledged => resolved
2016-12-31 11:48 Vincent Sanders Fixed in Version => 3.7


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker